import 'package:freezed_annotation/freezed_annotation.dart';

part 'conform_allocation.freezed.dart';
part 'conform_allocation.g.dart';

@freezed
abstract class ConformAllocation with _$ConformAllocation {
  factory ConformAllocation({
    String? allocation_key,
    int? number_of_carcasses,
    int? weight_of_carcasses,
    int? amount,
    int? total_amount,
  }) = _ConformAllocation;

  factory ConformAllocation.fromJson(Map<String, dynamic> json) =>
      _$ConformAllocationFromJson(json);
}
